Loading...
Searching...
No Matches
GiraraTemplateClass Struct Reference

`#include <template.h>`

## Data Fields

GObjectClass | parent_class
void(* | base_changed )(GiraraTemplate *)
void(* | variable_changed )(GiraraTemplate *, const char *name)
void(* | changed )(GiraraTemplate *)

## Detailed Description

Definition at line 14 of file template.h.

## Field Documentation

## base_changed

void(* GiraraTemplateClass::base_changed) (GiraraTemplate *)

Definition at line 17 of file template.h.

## changed

void(* GiraraTemplateClass::changed) (GiraraTemplate *)

Definition at line 19 of file template.h.

## parent_class

GObjectClass GiraraTemplateClass::parent_class

Definition at line 15 of file template.h.

## variable_changed

void(* GiraraTemplateClass::variable_changed) (GiraraTemplate *, const char *name)

Definition at line 18 of file template.h.

The documentation for this struct was generated from the following file:

- /build/girara-ntlvVR/girara-2026.02.04/girara/template.h